/*
 * Copyright (C) 2001 Alejandro Aguilar Sierra <asierra@servidor.unam.mx>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

// GUI Page Handling Code
#include "titler_common.h"

#include <iostream>
using std::cout;
using std::endl;

extern "C" {

#include <sys/stat.h>
#include <sys/time.h>
#include <gnome.h>
#include <math.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "commands.h"


   extern struct navigate_control g_nav_ctl;

  TitlerCommon *common;

   void titlerInitialise( GtkWidget *widget ) {
      // take care of stuff Glade can not do 
      common = new TitlerCommon();
   }

   void titlerDeactivate() {
      //	delete common;
      gtk_exit(0);
   }
   
   void insertPage() 
     {
	common->insertPage();
     }
   
   void vcr(vcr_type command)
     {	
	common->vcr(command);
     }
   void position_cb(GtkWidget *widget, gpointer data) 
     {
	common->setPosition((int)data);
     }
   void page_clicked(GnomeDialog *gnomedialog, int data)
     {
	common->pageClicked(data);
     }
   void page_selected(int row)
     {   	
	common->pageSelected(row);
     }
   void effect_clicked(int data)   
     {	
	common->effectSelected(data);
     }
   
   
} // extern "C"
