/*
 * Copyright (C) 2001 Alejandro Aguilar Sierra <asierra@servidor.unam.mx>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gnome.h>

#ifndef _COMMANDS_H
#define _COMMANDS_H


#ifdef __cplusplus
extern "C" {
#endif

   typedef enum vcr_type {
        VCR_PLAY,
	VCR_STOP,
	VCR_STEP,
	VCR_STEP_I,
	VCR_FIRST,
	VCR_LAST,
   } vcr_type;
   
   extern GtkWidget *app;
   
   void titlerInitialise( GtkWidget * );
   void titlerDeactivate( void );
   void insertTitle();
   void okPage(GnomeDialog *gnomedialog);
   void vcr(vcr_type);
   void position_cb(GtkWidget *widget, gpointer data);
   void page_clicked(GnomeDialog *, int);
   void page_selected(int); 
   void effect_clicked(int);
   
#ifdef __cplusplus
}
#endif

#endif
